> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create image

> Create a new image from a bootable volume.
The volume must be bootable to create an image from it.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v1/bmimages/{project_id}/{region_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/bmimages/{project_id}/{region_id}:
    post:
      tags:
        - Images
      summary: Create image
      description: |-
        Create a new image from a bootable volume.
        The volume must be bootable to create an image from it.
      operationId: BmImagesViewSet.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageCreateFromVolumeSerializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIDsSerializer'
components:
  schemas:
    ImageCreateFromVolumeSerializer:
      properties:
        architecture:
          $ref: '#/components/schemas/ImageArchitectureTypeEnum'
          default: x86_64
          description: 'Image CPU architecture type: `aarch64`, `x86_64`'
          examples:
            - x86_64
        hw_firmware_type:
          anyOf:
            - $ref: '#/components/schemas/ImageHwFirmwareTypeEnum'
            - type: 'null'
          default: null
          description: Specifies the type of firmware with which to boot the guest.
          examples:
            - bios
        hw_machine_type:
          anyOf:
            - $ref: '#/components/schemas/HwMachineTypeEnum'
            - type: 'null'
          default: null
          description: A virtual chipset type.
          examples:
            - q35
        is_baremetal:
          default: false
          description: >-
            Set to true if the image will be used by bare metal servers.
            Defaults to false.
          example: false
          examples:
            - false
          title: Is Baremetal
          type: boolean
        name:
          description: Image name
          example: my-image
          examples:
            - my-image
          pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
          title: Name
          type: string
        os_type:
          $ref: '#/components/schemas/ImageOsTypeEnum'
          default: linux
          description: The operating system installed on the image.
          examples:
            - linux
        source:
          const: volume
          default: volume
          description: Image source
          example: volume
          examples:
            - volume
          title: Source
          type: string
        ssh_key:
          $ref: '#/components/schemas/SshKeyEnum'
          default: allow
          description: Whether the image supports SSH key or not
          examples:
            - allow
        tags:
          $ref: '#/components/schemas/CreateTagsSerializer'
          description: >-
            Key-value tags to associate with the resource. A tag is a key-value
            pair that can be associated with a resource, enabling efficient
            filtering and grouping for better organization and management. Both
            tag keys and values have a maximum length of 255 characters. Some
            tags are read-only and cannot be modified by the user. Tags are also
            integrated with cost reports, allowing cost data to be filtered
            based on tag keys or values.
          examples:
            - my-tag: my-tag-value
          x-stainless-terraform-configurability: computed_optional
        volume_id:
          description: Required if source is volume. Volume id
          example: d478ae29-dedc-4869-82f0-96104425f565
          examples:
            - d478ae29-dedc-4869-82f0-96104425f565
          format: uuid4
          title: Volume Id
          type: string
      required:
        - volume_id
        - name
      title: ImageCreateFromVolumeSerializer
      type: object
    TaskIDsSerializer:
      properties:
        tasks:
          description: >-
            List of task IDs representing asynchronous operations. Use these IDs
            to monitor operation progress:

            - `GET /v1/tasks/{task_id}` - Check individual task status and
            details

            Poll task status until completion (`FINISHED`/`ERROR`) before
            proceeding with dependent operations.
          example:
            - d478ae29-dedc-4869-82f0-96104425f565
          examples:
            - - d478ae29-dedc-4869-82f0-96104425f565
          items:
            type: string
          title: Tasks
          type: array
      required:
        - tasks
      title: TaskIDsSerializer
      type: object
    ImageArchitectureTypeEnum:
      enum:
        - aarch64
        - x86_64
      title: ImageArchitectureTypeEnum
      type: string
    ImageHwFirmwareTypeEnum:
      enum:
        - bios
        - uefi
      title: ImageHwFirmwareTypeEnum
      type: string
    HwMachineTypeEnum:
      enum:
        - i440
        - q35
      title: HwMachineTypeEnum
      type: string
    ImageOsTypeEnum:
      enum:
        - linux
        - windows
      title: ImageOsTypeEnum
      type: string
    SshKeyEnum:
      enum:
        - allow
        - deny
        - required
      title: SshKeyEnum
      type: string
    CreateTagsSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      patternProperties:
        ^[^\s=]+$:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain tabs, newlines,
            empty string or start/end with whitespace.
          example: my-tag-value
          examples:
            - my-tag-value
          maxLength: 255
          minLength: 1
          pattern: ^[^ \t\n\r\f\v]([^\t\n\r\f\v]*[^ \t\n\r\f\v])?$
          type: string
      propertyNames:
        description: >-
          Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
          newlines, empty string or '=' character.
        examples:
          - my-tag
        maxLength: 255
        minLength: 1
      title: CreateTagsSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````